include: package:flutter_lints/flutter.yaml

analyzer:
  exclude:
    # Escludiamo i file generati per le lingue, così il linter non ci entra proprio
    - "lib/generated/**"
    - "lib/l10n/*.dart"
    - "**/*.g.dart" # Già che ci siamo escludiamo tutti i file generati (tipo quelli di JsonSerializable)
    - "**/*.freezed.dart"
    - "build/**"
    - "ios/**"
    - "macos/**"
    - ".dart_tool/**"

linter:
  rules:
    diagnostic_describe_all_properties: false
    public_member_api_docs: false
    # Ti consiglio di aggiungere anche questa se usi molto i file generati
    avoid_relative_lib_imports: true